Page MenuHomePhabricator

Please strip leading spaces from the "format" field in TemplateData GUI
Closed, ResolvedPublic1 Story Points

Description

Related to T138492: Add support for actual format strings to TemplateData's "format" parameter:

In the TemplateData GUI (opened via "Manage TemplateData" button while editing the template), it's unfortunately easy to accidentally end up with a format that specifies a leading space, which is invalid, and therefore the page can't be saved.

We should automagically strip the leading spaces from that field (and trailing spaces, if that's also a problem).

Event Timeline

Restricted Application added a project: VisualEditor. · View Herald TranscriptOct 11 2017, 6:01 PM
Restricted Application added a subscriber: Aklapper. · View Herald Transcript
Deskana set the point value for this task to 1.Oct 24 2017, 6:47 PM
Deskana added a project: good first bug.
Deskana triaged this task as Low priority.
Restricted Application added a subscriber: TerraCodes. · View Herald TranscriptOct 24 2017, 6:47 PM
Deskana moved this task from To Triage to Freezer on the VisualEditor board.Oct 24 2017, 6:47 PM
Elitre added a subscriber: Elitre.Nov 3 2017, 3:33 PM
matmarex added a subscriber: matmarex.

I would like to mentor this task in Google-Code-in-2018.

matmarex renamed this task from Please strip leading spaces from the TemplateData GUI to Please strip leading spaces from the "format" field in TemplateData GUI.Oct 23 2018, 4:10 PM
matmarex updated the task description. (Show Details)

Change 471175 had a related patch set uploaded (by Bjornskjald; owner: Bjornskjald):
[mediawiki/extensions/TemplateData@master] Add stripping leading and trailing spaces from the "format" field

https://gerrit.wikimedia.org/r/471175

Change 471175 merged by jenkins-bot:
[mediawiki/extensions/TemplateData@master] Add stripping leading and trailing spaces from the "format" field

https://gerrit.wikimedia.org/r/471175

matmarex closed this task as Resolved.Nov 1 2018, 10:23 PM
Elitre removed a subscriber: Elitre.Nov 8 2018, 5:01 PM